Bug 918544 - [abrt] libreoffice-core-3.6.5.2-2.fc18: ScCondFormatManagerDlg::EditBtnHdl(void*): Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
Summary: [abrt] libreoffice-core-3.6.5.2-2.fc18: ScCondFormatManagerDlg::EditBtnHdl(vo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eike Rathke
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:dacf753abd9a2d3a10b9963e853...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-06 13:44 UTC by Peter Ludikovsky
Modified: 2013-05-03 02:02 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-03 02:02:11 UTC


Attachments (Terms of Use)
File: backtrace (48.94 KB, text/plain)
2013-03-06 13:44 UTC, Peter Ludikovsky
no flags Details
File: build_ids (8.05 KB, text/plain)
2013-03-06 13:44 UTC, Peter Ludikovsky
no flags Details
File: cgroup (126 bytes, text/plain)
2013-03-06 13:44 UTC, Peter Ludikovsky
no flags Details
File: core_backtrace (7.28 KB, text/plain)
2013-03-06 13:44 UTC, Peter Ludikovsky
no flags Details
File: dso_list (22.80 KB, text/plain)
2013-03-06 13:44 UTC, Peter Ludikovsky
no flags Details
File: environ (1.83 KB, text/plain)
2013-03-06 13:44 UTC, Peter Ludikovsky
no flags Details
File: limits (1.29 KB, text/plain)
2013-03-06 13:45 UTC, Peter Ludikovsky
no flags Details
File: maps (98.05 KB, text/plain)
2013-03-06 13:45 UTC, Peter Ludikovsky
no flags Details
File: open_fds (660 bytes, text/plain)
2013-03-06 13:45 UTC, Peter Ludikovsky
no flags Details
File: proc_pid_status (942 bytes, text/plain)
2013-03-06 13:45 UTC, Peter Ludikovsky
no flags Details
File: var_log_messages (345 bytes, text/plain)
2013-03-06 13:45 UTC, Peter Ludikovsky
no flags Details
Abrt files from most recent crash (5.77 MB, application/x-bzip)
2013-04-15 08:01 UTC, Peter Ludikovsky
no flags Details

Description Peter Ludikovsky 2013-03-06 13:44:44 UTC
Description of problem:
1) Create a conditional formatting
2) Remove all Rules from it
3) Try to remove the formatting from the manager

Version-Release number of selected component:
libreoffice-core-3.6.5.2-2.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc --splash-pipe=6
crash_function: ScCondFormatManagerDlg::EditBtnHdl(void*)
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.7.9-205.fc18.x86_64
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ScCondFormatManagerDlg::EditBtnHdl(void*) at /usr/lib64/libreoffice/program/libscuilo.so
 #1 Control::ImplCallEventListenersAndHandler(unsigned long, Link const&, void*) at /usr/lib64/libreoffice/program/libvcllo.so
 #2 Window::EndTracking(unsigned short) at /usr/lib64/libreoffice/program/libvcllo.so
 #3 ImplHandleMouseEvent(Window*, unsigned short, unsigned char, long, long, unsigned long, unsigned short, unsigned short) at /usr/lib64/libreoffice/program/libvcllo.so
 #4 ImplWindowFrameProc(Window*, SalFrame*, unsigned short, void const*) at /usr/lib64/libreoffice/program/libvcllo.so
 #5 GtkSalFrame::signalButton(_GtkWidget*, _GdkEventButton*, void*) at /usr/lib64/libreoffice/program/libvclplug_gtklo.so
 #6 _gtk_marshal_BOOLEAN__BOXED at /lib64/libgtk-x11-2.0.so.0
 #11 gtk_widget_event_internal at /lib64/libgtk-x11-2.0.so.0
 #12 gtk_propagate_event at /lib64/libgtk-x11-2.0.so.0
 #13 gtk_main_do_event at /lib64/libgtk-x11-2.0.so.0

Comment 1 Peter Ludikovsky 2013-03-06 13:44:48 UTC
Created attachment 705945 [details]
File: backtrace

Comment 2 Peter Ludikovsky 2013-03-06 13:44:50 UTC
Created attachment 705946 [details]
File: build_ids

Comment 3 Peter Ludikovsky 2013-03-06 13:44:52 UTC
Created attachment 705947 [details]
File: cgroup

Comment 4 Peter Ludikovsky 2013-03-06 13:44:54 UTC
Created attachment 705948 [details]
File: core_backtrace

Comment 5 Peter Ludikovsky 2013-03-06 13:44:57 UTC
Created attachment 705950 [details]
File: dso_list

Comment 6 Peter Ludikovsky 2013-03-06 13:44:59 UTC
Created attachment 705951 [details]
File: environ

Comment 7 Peter Ludikovsky 2013-03-06 13:45:01 UTC
Created attachment 705952 [details]
File: limits

Comment 8 Peter Ludikovsky 2013-03-06 13:45:05 UTC
Created attachment 705954 [details]
File: maps

Comment 9 Peter Ludikovsky 2013-03-06 13:45:08 UTC
Created attachment 705955 [details]
File: open_fds

Comment 10 Peter Ludikovsky 2013-03-06 13:45:10 UTC
Created attachment 705956 [details]
File: proc_pid_status

Comment 11 Peter Ludikovsky 2013-03-06 13:45:13 UTC
Created attachment 705957 [details]
File: var_log_messages

Comment 12 David Tardon 2013-04-09 10:42:48 UTC
Do you remember what you were doing when it crashed? If yes, can you make it to crash again in the same way?

Comment 13 Peter Ludikovsky 2013-04-15 07:56:34 UTC
Reproduced with LibreOffice 3.6.5.2-8.fc18

* Open LibreOffice Calc
* In any cell, create a conditional formatting with a single condition
* Go to Format -> Conditional Formatting -> Manage
* Edit the previous formatting and remove the single condition
* As soon as you click OK -> crash

Comment 14 Peter Ludikovsky 2013-04-15 08:01:55 UTC
Created attachment 735806 [details]
Abrt files from most recent crash

Files for the most recent crash as generated by abrt

Comment 15 Eike Rathke 2013-04-18 13:29:59 UTC
Change pending upstream review for 3-6 (to-be 3.6.7) as https://gerrit.libreoffice.org/3460

Comment 17 Eike Rathke 2013-04-23 11:48:39 UTC
libreoffice-3.6.6.2-5.fc18 for f18-candidate

Comment 18 Fedora Update System 2013-04-23 16:59:23 UTC
libreoffice-3.6.6.2-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libreoffice-3.6.6.2-5.fc18

Comment 19 Fedora Update System 2013-04-24 01:26:13 UTC
Package libreoffice-3.6.6.2-5.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.6.6.2-5.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6396/libreoffice-3.6.6.2-5.fc18
then log in and leave karma (feedback).

Comment 20 Fedora Update System 2013-05-03 02:02:13 UTC
libreoffice-3.6.6.2-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.